<!DOCTYPE html>
<html lang="en">
<head>
    <title>Optimizing MaterializeCSS for Speed</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1.0"/>
    <meta name="description" content="Trying to get to a high Pagespeed Value with this: an example to download for anybody"/>
    <!-- SET: link rel="canonical" href="https...."/ -->
    <link rel="dns-prefetch" href="//fonts.googleapis.com">
    <link rel="dns-prefetch" href="//ajax.googleapis.com">
    <link rel="preconnect" href="//fonts.googleapis.com">
    <link rel="preconnect" href="//ajax.googleapis.com">
    <meta name="robots" content="index,follow"/>
    <meta property="og:title" content="Optimized MaterializeCSS"/>
    <meta itemprop="name" content="Creating a clean template for re-usage"/>
    <meta property="og:image" content="img/share-banner.png"/>
    <meta property="og:url" content="https://static.smyln.com"/>
    <meta property="og:site_name" content="smyln.com"/>
    <meta property="og:description" content="An optimized materialize CSS template with 2 pages: Index and sub-page for a pagespeed 100 result."/>
    <meta name="apple-mobile-web-app-title" content="SMYLN"/>
    <meta name="apple-mobile-web-app-capable" content="yes"/>
    <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent"/>
    <link rel="apple-touch-icon" href="img/apple-touch57.png"/>
    <link href="https://plus.google.com/113235066547638707731" rel="publisher"/>
    <style>
        @font-face{font-family:'Material Icons';font-style:normal;font-weight:400;src:url(//fonts.gstatic.com/s/materialicons/v32/2fcrYFNaTjcS6g4U3t-Y5StnKWgpfO2iSkLzTz-AABg.ttf) format('truetype')}.material-icons{font-family:'Material Icons';font-weight:400;font-style:normal;font-size:24px;line-height:1;letter-spacing:normal;text-transform:none;display:inline-block;white-space:nowrap;word-wrap:normal;direction:ltr}
    </style>
    <style><?php include("css/materialize.min.css"); ?></style>
    <!--
        Please note: it might makes sense to NOT inline the big CSS and spend some time on the critical path
        link rel="stylesheet" href="css/materialize.min.css"/
    -->
</head>
<body>
<nav class="black" role="navigation" id="myTopBar">
    <div class="nav-wrapper container">
        <a id="logo-container" href="/" class="brand-logo">
            <img src="img/logo.png" alt="social marketing links"></a>
        <ul class="right hide-on-med-and-down" id="myTopNav">
            <li><a href="sub.php">Sub Page</a></li>
            <li><a href="smyln-template.zip">Download</a></li>
        </ul>
        <ul id="nav-mobile" class="side-nav"></ul>
        <a href="#" data-activates="nav-mobile" class="button-collapse"><i class="material-icons">menu</i></a>
    </div>
</nav>
  <div class="section no-pad-bot grey lighten-4" id="index-banner" style="border-bottom: 1px solid #000000; background-image: url(img/social-bulb.png); background-size: cover;">
    <div class="container">
      <br><br>
      <h1 class="header center white-text" style="text-shadow: 1px 1px #000000;">Pagespeed Optimized Template</h1>
      <div class="row center">
        <h5 class="header col s12 light white-text" style="text-shadow: 1px 1px #000000;">Trying to get 100% with MaterializeCSS</h5>
      </div>
      <div class="row center">
        <a href="smyln-template.zip" id="download-button" class="btn-large waves-effect waves-light yellow black-text">Download Template ZIP</a>
      </div>
      <br><br>
    </div>
  </div>
  <div class="container">
    <div class="section">
      <!--   Icon Section   -->
      <div class="row">
        <div class="col s12 m4">
          <div class="icon-block">
            <h2 class="center light-blue-text"><i class="material-icons">flash_on</i></h2>
            <h5 class="center">Speed is important</h5>
            <p class="light">
                A good user experience with a speedy template that fullfills the basics
                of graphical elegance and super fast loading is the goal of this template.
                This is just some text to add to the page, so we can inform the user,
                what to find here.
            </p>
          </div>
        </div>
        <div class="col s12 m4">
          <div class="icon-block">
            <h2 class="center light-blue-text"><i class="material-icons">group</i></h2>
            <h5 class="center">Mobile and Desktop</h5>
            <p class="light">
                Based on materializeCSS I have tried to optimize this basic template
                for reusage. It does some lazy loading and fixes some of the critical path
                values to improve the loading speed.
            </p>
          </div>
        </div>
        <div class="col s12 m4">
          <div class="icon-block">
            <h2 class="center light-blue-text"><i class="material-icons">money</i></h2>
            <h5 class="center">Free as in beer</h5>
            <p class="light">
                When done, I will adjust this template to a set of CMS tools to improve
                the web in general :-) - at least this is the plan. Mostly I do need
                the template for my self for different projects.
            </p>
          </div>
        </div>
      </div>
    </div>
    <br><br>
    <div class="section">
        <div class="row">
            <div class="col l6 m12">
                <div class="card horizontal">
                    <div class="card-image">
                        <img src="img/dummy1.png">
                    </div>
                    <div class="card-stacked">
                        <div class="card-content">
                            <b>Headline 1</b>
                            <p>I am a very simple card. I am good at containing small bits of information.</p>
                        </div>
                        <div class="card-action">
                            <a href="#">This is a link</a>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col l6 m12">
                <div class="card horizontal">
                    <div class="card-image">
                        <img src="img/dummy1.png">
                    </div>
                    <div class="card-stacked">
                        <div class="card-content">
                            <b>Headline 2</b>
                            <p>I am a very simple card. I am good at containing small bits of information.</p>
                        </div>
                        <div class="card-action">
                            <a href="#">This is a link</a>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
  </div>
  <footer class="page-footer grey darken-4">
    <div class="container">
        <div class="row">
            <div class="col l6 s12">
                <h5 class="white-text">Who we are</h5>
                <p class="grey-text text-lighten-4">
                    We are an American/German software company with a focus on business
                    apps and HTML5/JS developments. We are online marketing pioneers with
                    roots in the late 90s. Since then our skills have been trained and
                    updated everyday with the fantastic new technologies the web offers!
                </p>
            </div>
            <div class="col l3 s12">
                <h5 class="white-text">Directory</h5>
                <ul class="browser-default">
                    <li><a class="white-text" href="#">Overview</a></li>
                    <li><a class="white-text" href="#">Another link</a></li>
                    <li><a class="white-text" href="#">Select Important</a></li>
                    <li><a class="white-text" href="#">Subpages</a></li>
                </ul>
            </div>
            <div class="col l3 s12">
                <h5 class="white-text">Features</h5>
                <ul class="browser-default">
                    <li><a class="white-text" href="#">Fast</a></li>
                    <li><a class="white-text" href="#">Easy</a></li>
                    <li><a class="white-text" href="#">In PHP</a></li>
                    <li><a class="white-text" href="http://materializecss.com/" target="_blank">MaterializeCSS</a></li>
                </ul>
            </div>
        </div>
    </div>
    <div class="footer-copyright">
        <div class="container">
            Made by <a class="yellow-text text-accent-2" href="https://orga.zone/en/">orga.zone</a>
        </div>
    </div>
  </footer>
  <script>
  //-----
  function myInit() {
      $(document).ready(function() {
          $.ajaxSetup({ cache: true });
          $.getScript( "js/materialize.min.js", function( data, textStatus, jqxhr ) {
              (function($){
                  $(function(){
                      $('.button-collapse').sideNav();
                      $('select').material_select();
                      Materialize.updateTextFields();
                      $('.modal').modal();
                      $("#loader").hide();
                  }); // end of document ready
              })(jQuery); // end of jQuery name space
          });
          $.ajaxSetup({ cache: false });
          $("#nav-mobile").append($("#myTopNav").html());
      });
  }
  //-----
</script>
<script async onload="myInit()" src="//ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
</body>
</html>
