<!DOCTYPE html>
<html lang="en">
<head>
    <title>Optimizing Subpage</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1.0"/>
    <meta name="description" content="The subpage should also be a fast and easy loading page. The whole set is done with minimal PHP includes."/>
    <!-- SET: link rel="canonical" href="https...."/ -->
    <link rel="dns-prefetch" href="//fonts.googleapis.com">
    <link rel="dns-prefetch" href="//ajax.googleapis.com">
    <link rel="preconnect" href="//fonts.googleapis.com">
    <link rel="preconnect" href="//ajax.googleapis.com">
    <meta name="robots" content="index,follow"/>
    <meta property="og:title" content="Optimized MaterializeCSS"/>
    <meta itemprop="name" content="Creating a clean template for re-usage"/>
    <meta property="og:image" content="img/share-banner.png"/>
    <meta property="og:url" content="https://static.smyln.com"/>
    <meta property="og:site_name" content="smyln.com"/>
    <meta property="og:description" content="An optimized materialize CSS template with 2 pages: This is the subpage!"/>
    <meta name="apple-mobile-web-app-title" content="SMYLN"/>
    <meta name="apple-mobile-web-app-capable" content="yes"/>
    <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent"/>
    <link rel="apple-touch-icon" href="img/apple-touch57.png"/>
    <link href="https://plus.google.com/113235066547638707731" rel="publisher"/>
    <style>
        @font-face{font-family:'Material Icons';font-style:normal;font-weight:400;src:url(//fonts.gstatic.com/s/materialicons/v32/2fcrYFNaTjcS6g4U3t-Y5StnKWgpfO2iSkLzTz-AABg.ttf) format('truetype')}.material-icons{font-family:'Material Icons';font-weight:400;font-style:normal;font-size:24px;line-height:1;letter-spacing:normal;text-transform:none;display:inline-block;white-space:nowrap;word-wrap:normal;direction:ltr}
    </style>
    <style><?php include("css/materialize.min.css"); ?></style>
    <!--
        Please note: it might makes sense to NOT inline the big CSS and spend some time on the critical path
        link rel="stylesheet" href="css/materialize.min.css"/
    -->
</head>
<body>
<nav class="black" role="navigation" id="myTopBar">
    <div class="nav-wrapper container">
        <a id="logo-container" href="/" class="brand-logo">
            <img src="img/logo.png" alt="social marketing links"></a>
        <ul class="right hide-on-med-and-down" id="myTopNav">
            <li><a href="build.php">Sub Page</a></li>
            <li><a href="smyln-template.zip">Download</a></li>
        </ul>
        <ul id="nav-mobile" class="side-nav"></ul>
        <a href="#" data-activates="nav-mobile" class="button-collapse"><i class="material-icons">menu</i></a>
    </div>
</nav>
  <div class="container">
    <div class="section">
      <!--   Icon Section   -->
      <div class="row">
        <div class="col m8">
            <H1>Main Content</H1>
            This would be the place to play around with all the cards, blocks and other components you
            can look up in the documentation on:
            <BR>
            <BR>
            <a href="http://materializecss.com/badges.html">MaterializeCSS.com</a>
            <BR>
            <BR>
            The location of the "side bar" can easily be changed or transformed into a sliding menu.
            <BR><BR>
            <b>Notes:</b><BR>
            Please take a look into the .htaccess file contained in this download. It sets the
            caching header to 7+ days, as suggested by Google!
            <BR><BR>
            The CSS is inlined in the header. It is probably too big for it, but Google seems to like it.
            However: it would make more sense to work further on the critical path of this page
            and put some of the CSS in a cached external file!
            <BR><BR>
            I am hosting this template on <a href="https://static.smyln.com/">static.smyln.com</a> via
            Cloudflare. If you use a CDN like this, it is important to set the caching time high!
            <BR><BR>
            <B>Javascript:</B>
            <BR>
            At the bottom of the source, you will find a piece of Javascript, that
            <UL>
                <LI>Defers the loading of JQuery</LI>
                <LI>Calls the myInit() function after JQuery is available</LI>
                <LI>Fills the mobile menu from the desktop menu to avoid duplicate entries</LI>
            </UL>
        </div>
        <div class="col m4">
            <div class="card">
                <div class="card-content">
                    <b>Side Menu</b><BR>
                    You may put your sub-navigation here.
                </div>
            </div>
        </div>
      </div>
    </div>
    <br><br>
  </div>
  <footer class="page-footer grey darken-4">
    <div class="container">
        <div class="row">
            <div class="col l6 s12">
                <h5 class="white-text">Who we are</h5>
                <p class="grey-text text-lighten-4">
                    We are an American/German software company with a focus on business
                    apps and HTML5/JS developments. We are online marketing pioneers with
                    roots in the late 90s. Since then our skills have been trained and
                    updated everyday with the fantastic new technologies the web offers!
                </p>
            </div>
            <div class="col l3 s12">
                <h5 class="white-text">Directory</h5>
                <ul class="browser-default">
                    <li><a class="white-text" href="#">Overview</a></li>
                    <li><a class="white-text" href="#">Another link</a></li>
                    <li><a class="white-text" href="#">Select Important</a></li>
                    <li><a class="white-text" href="#">Subpages</a></li>
                </ul>
            </div>
            <div class="col l3 s12">
                <h5 class="white-text">Features</h5>
                <ul class="browser-default">
                    <li><a class="white-text" href="#">Fast</a></li>
                    <li><a class="white-text" href="#">Easy</a></li>
                    <li><a class="white-text" href="#">In PHP</a></li>
                    <li><a class="white-text" href="http://materializecss.com/" target="_blank">MaterializeCSS</a></li>
                </ul>
            </div>
        </div>
    </div>
    <div class="footer-copyright">
        <div class="container">
            Made by <a class="yellow-text text-accent-2" href="https://orga.zone/en/">orga.zone</a>
        </div>
    </div>
  </footer>
  <script>
  //-----
  function myInit() {
      $(document).ready(function() {
          $.ajaxSetup({ cache: true });
          $.getScript( "js/materialize.min.js", function( data, textStatus, jqxhr ) {
              (function($){
                  $(function(){
                      $('.button-collapse').sideNav();
                      $('select').material_select();
                      Materialize.updateTextFields();
                      $('.modal').modal();
                      $("#loader").hide();
                  }); // end of document ready
              })(jQuery); // end of jQuery name space
          });
          $.ajaxSetup({ cache: false });
          $("#nav-mobile").append($("#myTopNav").html());
      });
  }
  //-----
</script>
<script async onload="myInit()" src="//ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
</body>
</html>
